---
author: Tim Izzo
paging: Slide %d / %d
---

# Activity Pub

- Protocole de réseau social **décentralisé**, voir **distribué**
- Fonctionnement très similaire aux emails
- Repose sur HTTP et [Activity Streams](https://www.w3.org/TR/activitystreams-core/)
- Grossièrement, ça peut ressembler à une API REST bien standardisée
- Utilise des données sémantiques (JSON-LD)
- Base du Fediverse

## Fonctionnement

- Chaque entité communiquante est un _actor_
- Chaque actor a une Inbox et une Outbox (_collections_)
- Chaque actor peut avoir une liste de followers et une liste de following
- Chaque actor peut avoir une liste de like
- Grâce à un système de permissions (externe), un actor peut lire et/ou écrire dans une collection

=> https://activitypub.rocks/

---

# Le Fediverse

- Fédération de serveurs utilisant des logiciels libres
- **Intéropérabilité** forte grâce à Activity Pub et le sémantique
- Principalement Activity Pub (w3c) mais pas seulement: Matrix, Diaspora, XMPP,...
- Mastodon est le premier logiciel d'ampleur qui utilise AP et donc met en avant le fediverse

## Services du fediverse

- Mastodon (alt. Twitter)
- Peertube (alt. Youtube)
- Mobilizon (alt. ~Meetup)
- Pleroma (alt. Twitter)
- Pixelfed (alt. Instagram)
- Lemmy (alt. Reddit)
- ...

Tous les systèmes qui utilisent AP peuvent échanger des données et se comprendre.
Cela crée une sorte d'unique réseau social fédéré, sans concentration de "pouvoir".
Inimaginable avec les produits GAFAM.

=> https://fediverse.party/en/miscellaneous/

---

# Mastodon

- _"Social networking that's not for sale."_
- Alternative **décentralisée** à Twitter
- Chacun est libre de créer son instance et de s'interconnecter avec d'autres instances
- Une grosse fédération existe mais possible de créer sa propre fédération dans son coin
- Chaque gérant.e d'une instance pose ses règles et sa gouvernance
- A la base, pas basé sur AP
- By design, il n'est pas possible que quelqu'un ait la main sur le service (genre un millardaire ou un président pourri)

- Grosse migration de Twitter vers Mastodon depuis le rachat
- _Pas la même culture que Twitter_
- Pas la notion de "Buzz"
- Centré sur des intéractions entre humains plutôt que des concentrations sur certains comptes

## Fonctionnement

- On crée un compte sur une instance (ou on monte sa propre instance)
- On follow des comptes sur son instance ou sur toute autre instance accessible
- On navigue selon trois fils:

  - **Home**: Activité des comptes suivi
  - **Fil public local**: Activité de tous les comptes de l'instance où on est
  - **Fil public global**: Activité de tous les comptes de l'instance + des comptes qui ont un lien avec un compte de l'instance

- Site "officiel": https://joinmastodon.org/
- Carte des instances: https://umap.openstreetmap.fr/en/map/mastodon-near-me_828094#3/18.90/29.53

---

# Démo Mastodon

1. L'interface graphique
2. Les données sémantiques (LPD)

---

# Limites

- Activity Pub est un protocole pour **réseau social**, pas forcément adapté à tout fonctionnement décentralisé
  - N'inclus pas de système de découverte à grande échelle, c'est aux utilisateurs de faire les liens entre les comptes pour lier les instances
- La **scabilité** est un problème (mis en avant ces jours avec Mastodon) car le design décentralisé entraîne des calculs exponentiels
  - Patch: ne jamais avoir d'instances trop grosse et forcer la décentralisation
- La **modération** est un gros enjeu qui demande des ressources et ne doit pas être négligée


=> https://framablog.org/2022/11/13/de-la-friture-sur-le-fediverse/

---

# Opportunités pour Octree

## Caroster

### Fédération

- Si on normalise les données, on peut avoir une instance séparée pour des grosses entitées (genre des assos).
- Chaque entité peut choisir si elle veut être connectée à la fédération ou garder ses events privés

### Interconnexion

- Possibilité de se "brancher" sur un événement Mobilizon existant
- Possibilité de relier son user à son compte Mastodon / Solid Pod pour infos de contacts, communications d'orga et socials

### Fonctionnalités

- Si on considère qu'un event Caroster est un actor, alors on peut facilement avoir un système de com in-app et ailleurs

## Decidim

- Fédéraliser les instances de Decidim à travers le monde ? -> Mais casse l'idée du local / une instance est liée à une politique locale ?
- Lier une concertation à des outils de communication qui ne sont pas maîtriser par une unique entité (gouvernement, parti politique,...)
